import React, { useEffect, useRef } from 'react';
import { requireNativeComponent, View, UIManager, findNodeHandle, DeviceEventEmitter } from 'react-native';
const SurveyModuleView = requireNativeComponent('SsSurveyFragment');

const SsSurveyViewComponentAndroid = ({
  styles,
  onSurveyComplete,
  config
}) => {
  let nativeComponentRef = useRef();
  useEffect(() => {
    setTimeout(() => {
      findId();
    }, 200);
  }, []);

  const findId = () => {
    const androidViewId = findNodeHandle(nativeComponentRef.current);

    if (androidViewId) {
      UIManager.dispatchViewManagerCommand(androidViewId, // @ts-ignore
      UIManager.SsSurveyFragment.Commands.create.toString(), [androidViewId, config]);
    }
  };

  return /*#__PURE__*/React.createElement(View, {
    style: styles,
    nativeID: "surveyView"
  }, /*#__PURE__*/React.createElement(SurveyModuleView, {
    ref: nativeComponentRef,
    onUpdate: event => {
      const data = event.nativeEvent;
      onSurveyComplete(data);
    }
  }));
};

export default SsSurveyViewComponentAndroid;
//# sourceMappingURL=SsSurveyViewComponentAndroid.js.map